DPTTS2(3f)

NAME
DPTTS2 - a tridiagonal system of the form A * X = B using the L*D*L' factorization of A computed by DPTTRF

SYNOPSIS

SUBROUTINE DPTTS2(
    N, NRHS, D, E, B, LDB )

INTEGER
    LDB, N, NRHS

DOUBLE
    PRECISION B( LDB, * ), D( * ), E( * )

PURPOSE
DPTTS2 solves a tridiagonal system of the form
   A * X = B using the L*D*L' factorization of A computed by DPTTRF. D is a diagonal matrix specified in the vector D, L is a unit bidiagonal matrix whose subdiagonal is specified in the vector E, and X and B are N by NRHS matrices.

ARGUMENTS

N       (input) INTEGER
    The order of the tridiagonal matrix A. N >= 0.

NRHS    (input) INTEGER
    The number of right hand sides, i.e., the number of columns of the matrix B. NRHS >= 0.

D       (input) DOUBLE PRECISION array, dimension (N)
    The n diagonal elements of the diagonal matrix D from the L*D*L' factorization of A.

E       (input) DOUBLE PRECISION array, dimension (N-1)
    The (n-1) subdiagonal elements of the unit bidiagonal factor L from the L*D*L' factorization of A. E can also be regarded as the superdiagonal of the unit bidiagonal factor U from the factorization A = U'*D*U.

B       (input/output) DOUBLE PRECISION array, dimension (LDB,NRHS)
    On entry, the right hand side vectors B for the system of linear equations. On exit, the solution vectors, X.

LDB     (input) INTEGER
    The leading dimension of the array B. LDB >= max(1,N).